Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Build.Build.Gradle Class Referencesealed
Inheritance diagram for Zwipe.Build.Build.Gradle:
[legend]
Collaboration diagram for Zwipe.Build.Build.Gradle:
[legend]

## Public Member Functions
override bool | Execute ()

## Properties
string | Executable`[get, set]`
ITaskItem[] | Projects`[get, set]`
string | Properties`[get, set]`
string | DefaultPhase = PhaseBuild`[get, set]`

## Private Member Functions
void | OnStandardOutputReceived (string text)
void | OnStandardErrorReceived (string text)
string | GetPhase (ITaskItem project)
string | GetProperties (ITaskItem project)

## Static Private Attributes
const string | PhaseClean = "clean"
const string | PhaseBuild = "build"
const string | ProjectItemPhaseTag = "Phase"
const string | ProjectItemPropertiesTag = "Properties"
const string | GradleJvmArgsStr = "-Dorg.gradle.jvmargs=\"-XX:MaxMetaspaceSize=512m -XX:+HeapDumpOnOutOfMemoryError -Xms256m -Xmx1024m\""

## Member Function Documentation

## ◆ Execute()

override bool Zwipe.Build.Build.Gradle.Execute | ( |  | ) |

Here is the call graph for this function:

## ◆ GetPhase()

string Zwipe.Build.Build.Gradle.GetPhase | ( | ITaskItem | project | ) |
| private

Here is the caller graph for this function:

## ◆ GetProperties()

string Zwipe.Build.Build.Gradle.GetProperties | ( | ITaskItem | project | ) |
| private

Here is the caller graph for this function:

## ◆ OnStandardErrorReceived()

void Zwipe.Build.Build.Gradle.OnStandardErrorReceived | ( | string | text | ) |
| private

Here is the caller graph for this function:

## ◆ OnStandardOutputReceived()

void Zwipe.Build.Build.Gradle.OnStandardOutputReceived | ( | string | text | ) |
| private

Here is the caller graph for this function:

## Member Data Documentation

## ◆ GradleJvmArgsStr

const string Zwipe.Build.Build.Gradle.GradleJvmArgsStr = "-Dorg.gradle.jvmargs=\"-XX:MaxMetaspaceSize=512m -XX:+HeapDumpOnOutOfMemoryError -Xms256m -Xmx1024m\""
| static private

## ◆ PhaseBuild

const string Zwipe.Build.Build.Gradle.PhaseBuild = "build"
| static private

## ◆ PhaseClean

const string Zwipe.Build.Build.Gradle.PhaseClean = "clean"
| static private

## ◆ ProjectItemPhaseTag

const string Zwipe.Build.Build.Gradle.ProjectItemPhaseTag = "Phase"
| static private

## ◆ ProjectItemPropertiesTag

const string Zwipe.Build.Build.Gradle.ProjectItemPropertiesTag = "Properties"
| static private

## Property Documentation

## ◆ DefaultPhase

string Zwipe.Build.Build.Gradle.DefaultPhase = PhaseBuild
| get set

## ◆ Executable

string Zwipe.Build.Build.Gradle.Executable
| get set

## ◆ Projects

ITaskItem [] Zwipe.Build.Build.Gradle.Projects
| get set

## ◆ Properties

string Zwipe.Build.Build.Gradle.Properties
| get set

The documentation for this class was generated from the following file:

- Zwipe.Build/Build/Gradle.cs